2023-24 Covid (General)

by dan, Friday, September 08, 2023, 20:11 (319 days ago) @ dan

Here it is:

Current Risk Assessment

Based on what CDC knows now, existing tests used to detect and medications used to treat COVID-19 appear to be effective with this variant. BA.2.86 may be more capable of causing infection in people who have previously had COVID-19 or who have received COVID-19 vaccines.

So there you have it. Getting a previous vaccine makes you more susceptible to getting infected with COVID, according to the CDC


Complete thread:

 RSS Feed of thread